[Date Prev][Date Next][Thread Prev][Thread Next][Date Index][Thread Index]

LFI Vulnerability in 1024cms Admin Control Panel v1.1.0 Beta (Master-cPanel Package)



==========================================================================================================
   1024cms Admin Control Panel v1.1.0 Beta (Master-cPanel Package) - Local File Include Vulnerability
==========================================================================================================
  
Software:		1024cms Admin Control Panel v1.1.0 Beta (master-cpanel package)
Vendor:			http://1024cms.org/
Vuln Type:		Local File Include
Remote:			Yes
Local:			No
Discovered by:	QSecure and Demetris Papapetrou 
Website:		http://www.qsecure.com.cy
Discovered:		15/03/2011
Reported:		29/03/2001
Disclosed:


VULNERABILITY DESCRIPTION:
==========================
The script "/index.php" is prone to a local file-include vulnerability because it fails to properly sanitize user-supplied input in the "processfile" parameter.

An attacker can exploit this vulnerability to obtain potentially sensitive information and execute arbitrary local scripts in the context of the webserver process. This may allow the attacker to compromise the application and the underlying computer; other attacks are also possible.


PoC Exploit:
============
/index.php?mode=login&processfile=../../../../../../etc/passwd%00